Bug 166434 - [x86_64] OpenOffice crashes at startup
[x86_64] OpenOffice crashes at startup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
4
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-21 05:22 EDT by M.Seiler
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-27 01:01:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description M.Seiler 2005-08-21 05:22:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; de-DE; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
OpenOffcie allways crashes.

0x11eb96: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1db96
0x11f3e4: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e3e4
0xffffe500:  + 0x500 (__kernel_sigreturn + 0x0)

Here are all my installed Versions:

openoffice.org-math-1.9.117-3.1.0.fc4
openoffice.org-langpack-zh_TW-1.9.117-3.1.0.fc4
openoffice.org-langpack-fr-1.9.117-3.1.0.fc4
openoffice.org-langpack-it-1.9.117-3.1.0.fc4
openoffice.org-langpack-gu_IN-1.9.117-3.1.0.fc4
openoffice.org-langpack-de-1.9.117-3.1.0.fc4
openoffice.org-langpack-nl-1.9.117-3.1.0.fc4
openoffice.org-langpack-ja_JP-1.9.117-3.1.0.fc4
openoffice.org-writer-1.9.117-3.1.0.fc4
openoffice.org-langpack-pl_PL-1.9.117-3.1.0.fc4
openoffice.org-impress-1.9.117-3.1.0.fc4
openoffice.org-langpack-zu_ZA-1.9.117-3.1.0.fc4
openoffice.org-langpack-zh_CN-1.9.117-3.1.0.fc4
openoffice.org-core-1.9.117-3.1.0.fc4
openoffice.org-langpack-sv-1.9.117-3.1.0.fc4
openoffice.org-langpack-hi_IN-1.9.117-3.1.0.fc4
openoffice.org-langpack-cy_GB-1.9.117-3.1.0.fc4
openoffice.org-langpack-pt_BR-1.9.117-3.1.0.fc4
openoffice.org-calc-1.9.117-3.1.0.fc4
openoffice.org-langpack-cs_CZ-1.9.117-3.1.0.fc4
openoffice.org-langpack-ar-1.9.117-3.1.0.fc4
openoffice.org-langpack-eu_ES-1.9.117-3.1.0.fc4
openoffice.org-langpack-af_ZA-1.9.117-3.1.0.fc4
openoffice.org-langpack-fi_FI-1.9.117-3.1.0.fc4
openoffice.org-langpack-he_IL-1.9.117-3.1.0.fc4
openoffice.org-langpack-bg_BG-1.9.117-3.1.0.fc4
openoffice.org-langpack-hu_HU-1.9.117-3.1.0.fc4
openoffice.org-langpack-da_DK-1.9.117-3.1.0.fc4
openoffice.org-langpack-nn_NO-1.9.117-3.1.0.fc4
openoffice.org-langpack-gl_ES-1.9.117-3.1.0.fc4
openoffice.org-langpack-tr_TR-1.9.117-3.1.0.fc4
openoffice.org-langpack-ko_KR-1.9.117-3.1.0.fc4
openoffice.org-langpack-sk_SK-1.9.117-3.1.0.fc4
openoffice.org-langpack-nb_NO-1.9.117-3.1.0.fc4
openoffice.org-langpack-sl_SI-1.9.117-3.1.0.fc4
openoffice.org-langpack-lt_LT-1.9.117-3.1.0.fc4
openoffice.org-langpack-el_GR-1.9.117-3.1.0.fc4
openoffice.org-langpack-ms_MY-1.9.117-3.1.0.fc4
openoffice.org-langpack-et_EE-1.9.117-3.1.0.fc4
openoffice.org-langpack-ta_IN-1.9.117-3.1.0.fc4
openoffice.org-langpack-ca_ES-1.9.117-3.1.0.fc4
openoffice.org-langpack-pt_PT-1.9.117-3.1.0.fc4
openoffice.org-langpack-es-1.9.117-3.1.0.fc4
openoffice.org-langpack-ru-1.9.117-3.1.0.fc4
openoffice.org-draw-1.9.117-3.1.0.fc4
openoffice.org-langpack-th_TH-1.9.117-3.1.0.fc4


Version-Release number of selected component (if applicable):
openoffice.org-core-1.9.117-3.1.0.fc4

How reproducible:
Always

Steps to Reproduce:
1. Start OpenOffice Writer
  

Additional info:
Comment 1 Caolan McNamara 2005-08-22 04:14:15 EDT
can you 
> gdb /usr/lib/openoffice.org2.0/program/soffice.bin
(gdb) run -writer
and on crash
(gdb) bt
and attach output

this is x86_64 and OOo is 32bit, similiar reports aren't appearing on 32bit, so
it's like related to this 32bit on 64bit.
Comment 2 M.Seiler 2005-08-22 15:09:23 EDT
Here is the output:

(gdb) run -writer
Starting program: /usr/lib/openoffice.org2.0/program/soffice.bin -writer
Reading symbols from shared object read from target memory...(no debugging symbo
ls found)...done.
Loaded system supplied DSO at 0xffffe000
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 4160587456 (LWP 13759)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[New Thread 3988302768 (LWP 13787)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[New Thread 3977509808 (LWP 13806)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)
(no debugging symbols found)
[New Thread 3964636080 (LWP 13807)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[New Thread 3936709552 (LWP 13854)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)

(soffice.bin:13759): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJ
ECT (object)' failed

(soffice.bin:13759): Pango-CRITICAL **: _pango_engine_shape_shape: assertion `PA
NGO_IS_FONT (font)' failed

Pango-ERROR **: file shape.c: line 75 (pango_shape): assertion failed: (glyphs->
num_glyphs > 0)
aborting...

Program received signal SIGABRT, Aborted.
[Switching to Thread 4160587456 (LWP 13759)]
0xffffe405 in __kernel_vsyscall ()
(gdb) bt
#0  0xffffe405 in __kernel_vsyscall ()
#1  0x009551f8 in raise () from /lib/libc.so.6
#2  0x00956948 in abort () from /lib/libc.so.6
#3  0xf791c2d1 in g_logv () from /usr/lib/libglib-2.0.so.0
#4  0xf791c305 in g_log () from /usr/lib/libglib-2.0.so.0
#5  0xf791c371 in g_assert_warning () from /usr/lib/libglib-2.0.so.0
#6  0xf79d8191 in pango_shape () from /usr/lib/libpango-1.0.so.0
#7  0xf79cc9f2 in pango_layout_set_width () from /usr/lib/libpango-1.0.so.0
#8  0xf79cee72 in pango_layout_iter_get_char_extents ()
   from /usr/lib/libpango-1.0.so.0
#9  0xf79cf6da in pango_layout_iter_get_char_extents ()
   from /usr/lib/libpango-1.0.so.0
#10 0xf79d0007 in pango_layout_iter_get_char_extents ()
   from /usr/lib/libpango-1.0.so.0
#11 0xf7ba1800 in gtk_label_get_use_underline ()
   from /usr/lib/libgtk-x11-2.0.so.0
#12 0xf7ae934d in gtk_accel_label_refetch () from /usr/lib/libgtk-x11-2.0.so.0
#13 0xf798d058 in g_cclosure_marshal_VOID__BOXED ()
   from /usr/lib/libgobject-2.0.so.0
#14 0xf7980d9b in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#15 0xf7981285 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#16 0xf798f3e0 in g_signal_stop_emission () from /usr/lib/libgobject-2.0.so.0
#17 0xf7990ee0 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#18 0xf7993a40 in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#19 0xf7bf64f2 in gtk_size_group_remove_widget ()
   from /usr/lib/libgtk-x11-2.0.so.0
#20 0xf7bf67f1 in gtk_size_group_remove_widget ()
   from /usr/lib/libgtk-x11-2.0.so.0
#21 0xf7c8b624 in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
#22 0xf7bbc4dd in gtk_menu_item_toggle_size_allocate ()
   from /usr/lib/libgtk-x11-2.0.so.0
#23 0xf798d058 in g_cclosure_marshal_VOID__BOXED ()
   from /usr/lib/libgobject-2.0.so.0
#24 0xf7980d9b in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#25 0xf7981285 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#26 0xf798f3e0 in g_signal_stop_emission () from /usr/lib/libgobject-2.0.so.0
#27 0xf7990ee0 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#28 0xf7993a40 in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#29 0xf7bf64f2 in gtk_size_group_remove_widget ()
   from /usr/lib/libgtk-x11-2.0.so.0
#30 0xf7bf67f1 in gtk_size_group_remove_widget ()
   from /usr/lib/libgtk-x11-2.0.so.0
#31 0xf7c8b624 in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
#32 0xf7bbaeb2 in gtk_menu_bar_new () from /usr/lib/libgtk-x11-2.0.so.0
#33 0xf798d058 in g_cclosure_marshal_VOID__BOXED ()
   from /usr/lib/libgobject-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#34 0xf7980d9b in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#35 0xf7981285 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#36 0xf798f3e0 in g_signal_stop_emission () from /usr/lib/libgobject-2.0.so.0
#37 0xf7990ee0 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#38 0xf7993a40 in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#39 0xf7bf64f2 in gtk_size_group_remove_widget ()
   from /usr/lib/libgtk-x11-2.0.so.0
#40 0xf7bf67f1 in gtk_size_group_remove_widget ()
   from /usr/lib/libgtk-x11-2.0.so.0
#41 0xf7c8b624 in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
#42 0xf7dc4cd1 in create_SalInstance ()
   from /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so
#43 0x06343cba in SalGraphics::GetNativeControlRegion ()
   from /usr/lib/openoffice.org2.0/program/libvcl680li.so
#44 0x063c64d7 in Window::GetNativeControlRegion ()
   from /usr/lib/openoffice.org2.0/program/libvcl680li.so
#45 0x06385bfe in MenuBar::MenuBar$base ()
   from /usr/lib/openoffice.org2.0/program/libvcl680li.so
#46 0x06386584 in Menu::Clear ()
   from /usr/lib/openoffice.org2.0/program/libvcl680li.so
#47 0x0639afc7 in SystemWindow::SetMenuBar ()
   from /usr/lib/openoffice.org2.0/program/libvcl680li.so
#48 0xeb3a97dc in component_getFactory ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/openoffice.org2.0/program/libfwk680li.so
#49 0xeb7b5ea5 in SfxObjectShell::LoadStyles ()
   from /usr/lib/openoffice.org2.0/program/libsfx680li.so
#50 0xeb7f9ab3 in SfxViewShell::UIActivating ()
   from /usr/lib/openoffice.org2.0/program/libsfx680li.so
#51 0xeb827058 in SfxDispatcher::~SfxDispatcher ()
   from /usr/lib/openoffice.org2.0/program/libsfx680li.so
#52 0xeb8286b9 in SfxDispatcher::_FindServer ()
   from /usr/lib/openoffice.org2.0/program/libsfx680li.so
#53 0xeb73f53d in SfxApplication::SetViewFrame ()
   from /usr/lib/openoffice.org2.0/program/libsfx680li.so
#54 0xeb80bafe in SfxViewFrame::Enable ()
   from /usr/lib/openoffice.org2.0/program/libsfx680li.so
#55 0xeb81926e in SfxTopFrame::InsertDocument ()
   from /usr/lib/openoffice.org2.0/program/libsfx680li.so
#56 0xeb730304 in SfxApplication::LoadTemplate ()
   from /usr/lib/openoffice.org2.0/program/libsfx680li.so
#57 0xeb7fc089 in non-virtual thunk to SfxViewShell::~SfxViewShell() ()
   from /usr/lib/openoffice.org2.0/program/libsfx680li.so
#58 0xeb3e9b5a in component_getFactory ()
   from /usr/lib/openoffice.org2.0/program/libfwk680li.so
#59 0xeb3e9d1d in component_getFactory ()
   from /usr/lib/openoffice.org2.0/program/libfwk680li.so
---Type <return> to continue, or q <return> to quit---
#60 0xeb3e9dd6 in component_getFactory ()
   from /usr/lib/openoffice.org2.0/program/libfwk680li.so
#61 0xeb33de97 in ?? () from /usr/lib/openoffice.org2.0/program/libfwk680li.so
#62 0x08071801 in desktop::DispatchWatcher::executeDispatchRequests ()
#63 0x0806b523 in desktop::OfficeIPCThread::ExecuteCmdLineRequests ()
#64 0x08060d77 in desktop::Desktop::OpenDefault ()
#65 0x08061e40 in desktop::Desktop::OpenClients ()
#66 0x08065caf in desktop::Desktop::OpenClients_Impl ()
#67 0x062755a2 in Help::ShowTip ()
   from /usr/lib/openoffice.org2.0/program/libvcl680li.so
#68 0x063c9d4f in Window::DrawNativeControl ()
   from /usr/lib/openoffice.org2.0/program/libvcl680li.so
#69 0xf78aee40 in X11SalFrame::GetWindowState ()
   from /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so
#70 0xf78d40d7 in SalDisplay::DispatchInternalEvent ()
   from /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so
#71 0xf7dc090f in ?? ()
   from /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so
#72 0xf7fed888 in ?? ()
#73 0xf7fed888 in ?? ()
#74 0xf7fec220 in ?? ()
#75 0xf797417c in ?? () from /usr/lib/libglib-2.0.so.0
#76 0x00a8be0c in __pthread_mutex_unlock_usercnt () from /lib/libpthread.so.0
---Type <return> to continue, or q <return> to quit---
#77 0xf7915650 in g_child_watch_add () from /usr/lib/libglib-2.0.so.0
#78 0xf79133ee in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#79 0xf79163f6 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#80 0xf79168d8 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#81 0xf7dc0535 in ?? ()
   from /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so
#82 0x00000000 in ?? ()
(gdb)
Comment 3 Caolan McNamara 2005-08-23 04:19:22 EDT
some sort of pango crash under x86_64
Comment 4 Owen Taylor 2005-08-23 09:44:02 EDT
Can you repeat Caolan's instructions, but with
 
 (gdb) b g_logv

Before running the program? The backtrace here is after-the-fact, so not
that useful.
Comment 5 M.Seiler 2005-08-23 14:32:51 EDT
I get this error:

(gdb) b g_logv
Function "g_logv" not defined.

so I think the results will not help.
Comment 6 Eric Doutreleau 2005-08-31 09:31:39 EDT
well i have exactly the same problem on 32 bits machine
Comment 7 Owen Taylor 2005-08-31 09:55:27 EDT
(gdb) b main
(gdb) r
[ stops in main ]
(gdb) b g_logv
(gdb) c

may work.
Comment 8 M.Seiler 2005-08-31 13:38:48 EDT
(gdb) b main
Breakpoint 1 at 0x8048474

Breakpoint 1, 0x0026c32f in main ()
   from /usr/lib/openoffice.org2.0/program/libsoffice.so
(gdb) b g_logv
Function "g_logv" not defined.

Same error.... I can't setup the breakpoint there....
Comment 9 Caolan McNamara 2005-08-31 14:51:45 EDT
did you miss typing "r" + return between break main and break g_logv ?

> gdb /usr/lib/openoffice.org2.0/program/soffice.bin
(gdb) break main
(gdb) run
Breakpoint 1, 0x03cfc8e8 in main () from
/usr/lib/openoffice.org2.0/program/libsoffice.so
(gdb) break g_logv
(gdb) cont
Comment 10 M.Seiler 2005-08-31 15:15:48 EDT
no I wrote the "r" + return... just forget to write it here. :)

Here the full output:

gdb /usr/lib/openoffice.org2.0/program/soffice.bin
GNU gdb Red Hat Linux (6.3.0.0-1.21rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...
(no debugging symbols found)
Using host libthread_db library "/lib64/libthread_db.so.1".

(gdb) b main
Breakpoint 1 at 0x8048474
(gdb) r
Starting program: /usr/lib/openoffice.org2.0/program/soffice.bin
Reading symbols from shared object read from target memory...(no debugging
symbols found)...done.
Loaded system supplied DSO at 0xffffe000
(no debugging symbols found)
(no debugging symbols found)
Breakpoint 1 at 0x26c32f
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 4160575968 (LWP 31698)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Switching to Thread 4160575968 (LWP 31698)]

Breakpoint 1, 0x0026c32f in main ()
   from /usr/lib/openoffice.org2.0/program/libsoffice.so
(gdb) b g_logv
Function "g_logv" not defined.
Make breakpoint pending on future shared library load? (y or [n])
(gdb)
Comment 11 M.Seiler 2005-10-20 15:26:46 EDT
any news?
Comment 12 M.Seiler 2005-10-25 14:13:26 EDT
Any news? OpenOffice still crashes after the splash screen with with the final
2.0.0-3.2 version. The output from openoffice is:

0x5feb8a: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1db8a
0x5ff3d8: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e3d8
0xffffe500:  + 0x500 (__kernel_sigreturn + 0x0)
Comment 13 M.Seiler 2005-10-27 15:28:22 EDT
From cli I get this output:

ooffice -writer
javaldx: Could not find a Java Runtime Environment!

(swriter.bin:13947): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJ
ECT (object)' failed

(swriter.bin:13947): Pango-CRITICAL **: _pango_engine_shape_shape: assertion `PA
NGO_IS_FONT (font)' failed

Pango-ERROR **: file shape.c: line 75 (pango_shape): assertion failed: (glyphs->
num_glyphs > 0)
aborting...

---start copy and paste here---
0x5feb8a: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1db8a
0x5ff3d8: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e3d8
0xffffe500:  + 0x500 (__kernel_sigreturn + 0x0)
---end copy and paste here---
paste the above into your bug report
Comment 14 Gen Zhang 2005-11-26 05:32:29 EST
I see a similar crash, not sure if it is a different problem, however. This is
also on x86_64, latest updates.

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 4160542400 (LWP 979)]
0x004ca0e9 in _dl_relocate_object () from /lib/ld-linux.so.2
(gdb) bt
#0  0x004ca0e9 in _dl_relocate_object () from /lib/ld-linux.so.2
#1  0x004d0458 in dl_open_worker () from /lib/ld-linux.so.2
#2  0x004ccc6e in _dl_catch_error () from /lib/ld-linux.so.2
#3  0x004d09c9 in _dl_open () from /lib/ld-linux.so.2
#4  0x0061cd42 in dlopen_doit () from /lib/libdl.so.2
#5  0x004ccc6e in _dl_catch_error () from /lib/ld-linux.so.2
#6  0x0061d3e3 in _dlerror_run () from /lib/libdl.so.2
#7  0x0061cdd2 in dlopen@@GLIBC_2.1 () from /lib/libdl.so.2
#8  0x0090772f in osl_setThreadTextEncoding () from
/usr/lib/openoffice.org2.0/program/libuno_sal.so.3
#9  0x009077f5 in osl_loadModule () from
/usr/lib/openoffice.org2.0/program/libuno_sal.so.3
#10 0x00b2ebaf in cppu::loadSharedLibComponentFactory () from
/usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3
#11 0xf77a2fcf in component_getFactory () from
/usr/lib/openoffice.org2.0/program/shlibloader.uno.so
#12 0x00b27f24 in cppu::createFactoryProxy () from
/usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3
#13 0x00b283b1 in cppu::createFactoryProxy () from
/usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3
#14 0x00b2694b in cppu::createStandardClassWithSequence () from
/usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3
#15 0x00b26a03 in cppu::createStandardClassWithSequence () from
/usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3
#16 0xf7691531 in component_getFactory () from
/usr/lib/openoffice.org2.0/program/servicemgr.uno.so
#17 0xf768df03 in component_getFactory () from
/usr/lib/openoffice.org2.0/program/servicemgr.uno.so
#18 0x00443fd6 in SvtPathOptions::SearchFile () from
/usr/lib/openoffice.org2.0/program/libsvl680li.so
#19 0x004445d9 in SvtPathOptions::SvtPathOptions () from
/usr/lib/openoffice.org2.0/program/libsvl680li.so
#20 0x07d523b9 in desktop::Desktop::CreateTemporaryDirectory () from
/usr/lib/openoffice.org2.0/program/libsoffice.so
#21 0x07d52e41 in desktop::Desktop::RegisterServices () from
/usr/lib/openoffice.org2.0/program/libsoffice.so
---Type <return> to continue, or q <return> to quit---
#22 0x07d4785a in desktop::Desktop::Main () from
/usr/lib/openoffice.org2.0/program/libsoffice.so
#23 0x0691a99f in InitVCL () from /usr/lib/openoffice.org2.0/program/libvcl680li.so
#24 0x0691aa4f in SVMain () from /usr/lib/openoffice.org2.0/program/libvcl680li.so
#25 0x07d43ad7 in sal_main () from /usr/lib/openoffice.org2.0/program/libsoffice.so
#26 0x07d43b23 in main () from /usr/lib/openoffice.org2.0/program/libsoffice.so
#27 0x004f1d5f in __libc_start_main () from /lib/libc.so.6
#28 0x080484c5 in _start ()
Comment 15 Gen Zhang 2005-12-06 03:55:35 EST
Ignore my request -- it's not related. I'd somehow uninstalled the i386 version
of popt. Apologies for the spam.
Comment 16 Matthias Clasen 2006-06-20 01:13:29 EDT
Reassigning pango bugs to Behdad.
Comment 17 Matthias Clasen 2006-11-27 01:01:49 EST
Thank you for the bug report. However, Fedora Project no longer maintains this
version of the product. Please upgrade to the latest version and open a new bug
if the problem persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older
releases, and if you believe this bug is interesting to them, please report the
problem against Fedora Legacy component


Note You need to log in before you can comment on or make changes to this bug.